Package org.tukaani.xz

## Class UnsupportedOptionsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.tukaani.xz.XZIOException
        - - org.tukaani.xz.UnsupportedOptionsException

All Implemented Interfaces:
  `Serializable`

    public class UnsupportedOptionsException
    extends XZIOException

Thrown when compression options not supported by this implementation are detected. Some other implementation might support those options.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UnsupportedOptionsException()` Creates a new UnsupportedOptionsException with null as its error detail message.
`UnsupportedOptionsException​(String s)` Creates a new UnsupportedOptionsException with the given error detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### UnsupportedOptionsException

    public UnsupportedOptionsException()

Creates a new UnsupportedOptionsException with null as its error detail message.

#### UnsupportedOptionsException

    public UnsupportedOptionsException​(String s)

Creates a new UnsupportedOptionsException with the given error detail message.

Parameters:
  `s` - error detail message